<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="x-ua-compatible" content="ie=7" />
<link href="{$tplroot}/admin/images/admincp.css?UmR" rel="stylesheet" type="text/css" />
<link href="{$tplroot}/admin/cssalbum/lightbox.css" rel="stylesheet" type="text/css" />
<link href="{$tplroot}/admin/cssalbum/album.css" rel="stylesheet" type="text/css" />
<script src="{$tplroot}/admin/cssalbum/album.js" type="text/javascript"></script>
<script src="{$tplroot}/admin/cssalbum/lightbox.js" type="text/javascript"></script>
</head>
<body>
<script type="text/JavaScript">
var admincpfilename = 'admin.php', IMGDIR = 'static/image/common', STYLEID = '1', VERHASH = 'UmR', IN_ADMINCP = true, ISFRAME = 1, STATICURL='static/', SITEURL = 'http://localhost/discuz/bbs/', JSPATH = 'static/js/';
</script>
<script src="{$tplroot}/admin/js/common.js?UmR" type="text/javascript"></script>
<script src="{$tplroot}/admin/js/admincp.js?UmR" type="text/javascript"></script>
<script type="text/javascript">
if(ISFRAME && !parent.document.getElementById('leftmenu') && !parent.parent.document.getElementById('leftmenu')) {
	redirect(admincpfilename + '?frames=yes&' + document.URL.substr(document.URL.indexOf(admincpfilename) + admincpfilename.length + 1));
}
function select_All(checked){          
      for (var i=0;i<document.form2.elements.length;i++){
      var e = document.form2.elements[i];
      if (e.name != 'allbox')
          e.checked = checked;        
      }
      document.all.check_all.checked=checked;
  }
</script>

<div id="append_parent"></div><div id="ajaxwaitid"></div>
<div class="container" id="cpcontainer"><script type="text/JavaScript">parent.document.title = 'iQQol 管理中心 - 界面 - 风格管理';if(parent.$('admincpnav')) parent.$('admincpnav').innerHTML='界面&nbsp;&raquo;&nbsp;风格管理&nbsp;&nbsp;';</script><div class="floattop" ><div class="itemtitle" ><h3>风格管理</h3><ul class="tab1"><li class="current"><a href="admin.php?action=styles"><span>管理</span></a></li><!--<li><a href="admin.php?action=styles&operation=import"><span>导入</span></a></li><li><a href="admin.php?action=cloudaddons"><span>获取更多风格</span></a></li>!--></ul></div></div><div class="floattopempty"></div>
<table class="tb tb2 " id="tips">
<tr><th  class="partition">技巧提示</th></tr>
<tr><td class="tipsblock" s="1"><ul id="tipslis"><li>如果把导出的风格文件放置在模板目录下，则可以通过风格管理直接安装风格</li></ul></td></tr></table>
<form name="cpform" method="post" autocomplete="off" action="admin.php?action=styles" id="cpform" ><input type="hidden" name="formhash" value="3c194601" /><input type="hidden" id="formscrolltop" name="scrolltop" value="" /><input type="hidden" name="anchor" value="" />
<input type="hidden" name="updatecsscache" value="0">
<table class="tb tb2 ">
<?php
$path=iqqol_parameter::get_dir_glob('template','name',$dir=true);
$a_path=iqqol_parameter::get_dir_glob('template','path',$dir=true);
$num=count($path);
    for($i=1;$i<=$num;$i++){
        if($i==1){
            echo '<tr>';
            $style_path=$path[$i-1];
            template('admin/styles/table.html');
        }
        elseif($i!=1 and $i%3==1){
            echo '</tr><tr>';
            $style_path=$path[$i-1];
            template('admin/styles/table.html');
        }
        elseif($i==$num){
            $style_path=$path[$i-1];
            template('admin/styles/table.html');
            echo '</tr>';
            break;
        }
        else{
            $style_path=$path[$i-1];
            template('admin/styles/table.html');
        }
    }

if($num%3==1){
    $w = '<td width="33%"></td><td width="33%"></td>';
}
elseif($num%3==2){
    $w = '<td width="33%"></td>';
}
else{
$w='';
}

?>
</table>

<table class="tb tb2 "><tr><td width="33%"><a href="admin.php?action=cloudaddons">获取更多风格</a></td><td colspan="5">&nbsp;</td></tr><tr><td class="td25"><input type="checkbox" name="chkall" id="chkallsk2U" class="checkbox" onclick="select_All(checkd)" /><label for="chkallsk2U">删?</label></td><td colspan="15"><div class="fixsel"><input type="submit" class="btn" id="submit_stylesubmit" name="stylesubmit" title="按 Enter 键可随时提交您的修改" value="提交" /> &nbsp;<input onclick="this.form.updatecsscache.value=1" type="submit" class="btn" name="csssubmit" value="更新 CSS 缓存"></div></td></tr></table>
</form>



</div>
</body>
</html>